//
// Created by dominik on 8/23/24.
//

#ifndef BIMODALANGLE_H
#define BIMODALANGLE_H

#include "base.h"

class BimodalAngle : public Motion {
public:
    BimodalAngle(double, double, double, double, double, std::mt19937_64& );
    explicit BimodalAngle(std::mt19937_64&);

    void initialize() override;
    double jump() override;

protected:
    double m_angle1{0};
    double m_angle2{0};
    double m_prob{0};
    SphericalPos m_prev_pos{0., 0.};
};

#endif //BIMODALANGLE_H
