//
// Created by dominik on 8/21/24.
//

#ifndef RWSIM_MOTIONISOSMALLANGLE_H
#define RWSIM_MOTIONISOSMALLANGLE_H

#include "base.h"
#include "coordinates.h"

class SmallAngle final : public Motion {
public:
    SmallAngle(double, double, double, std::mt19937_64& );
    explicit SmallAngle(std::mt19937_64&);

    void initialize() override;
    double jump() override;

private:
    double m_chi{0};
    SphericalPos m_prev_pos{0., 0.};
};

#endif //RWSIM_MOTIONISOSMALLANGLE_H
