//
// Created by dominik on 8/12/24.
//

#ifndef RWSIM_MOTIONRANDOMJUMP_H
#define RWSIM_MOTIONRANDOMJUMP_H


#include "base.h"
#include <random>

class RandomJump final : public Motion {
public:
    RandomJump(double, double, std::mt19937_64&);
    explicit RandomJump(std::mt19937_64&);

    void initialize() override;
    double jump() override;
};

#endif //RWSIM_MOTIONRANDOMJUMP_H
