//
// Created by dominik on 8/14/24.
//

#ifndef RWSIM_SIMS_H
#define RWSIM_SIMS_H

#include <unordered_map>
#include <string>

#include "motions/base.h"
#include "times/base.h"

void run_spectrum(std::unordered_map<std::string, double>& parameter, Motion& motion, Distribution& dist);
void run_ste(std::unordered_map<std::string, double>& parameter, Motion& motion, Distribution& dist);
void make_trajectory(Motion&, Distribution&, double, std::vector<double>&, std::vector<double>&);

#endif //RWSIM_SIMS_H
